Bug 1289759 - disable hardening in libtool
disable hardening in libtool
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libtool (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Raiskup
Fedora Extras Quality Assurance
:
Depends On: 1279265
Blocks: 1192183
  Show dependency treegraph
 
Reported: 2015-12-08 16:43 EST by Pavel Raiskup
Modified: 2016-01-20 16:51 EST (History)
14 users (show)

See Also:
Fixed In Version: libtool-2.4.6-8.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1279265
Environment:
Last Closed: 2016-01-20 16:51:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Raiskup 2015-12-08 16:43:06 EST
+++ This bug was initially created as a clone of Bug #1279265 +++
--- Additional comment from Pavel Raiskup on 2015-12-08 16:55:42 CET ---

I'm not sure how this is related to libtool, can I help somehow?

--- Additional comment from Rex Dieter on 2015-12-08 19:30:09 CET ---

It's not related to libtool, I'll remove that from the summary.

--- Additional comment from Rex Dieter on 2015-12-08 19:32:33 CET ---

Ah, I see now,

in /usr/bin/libtool is embedded,

# LTCC compiler flags.
LTCFLAGS="-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic -fPIC"

probably should be a separate bug for this.

--- Additional comment from Fedora Update System on 2015-12-08 21:59:38 CET ---

qt-4.8.7-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-4bb606c54b
Comment 1 Pavel Raiskup 2015-12-08 17:00:19 EST
I was about to build libtool right now [1], but the gcc 5.3.1 build-override
[2] is not active anymore.  I can manage temporary build-override on demand
(if there is any), otherwise I would rather wait for gcc 5.3.1 is in F23
stable.

[1] https://koji.fedoraproject.org/koji/taskinfo?taskID=12114925
[2] https://bodhi.fedoraproject.org/overrides/gcc-5.3.1-1.fc23
Comment 2 Rex Dieter 2015-12-08 17:50:23 EST
IMO, that's fine, this isn't urgent
Comment 3 Fedora Update System 2016-01-18 13:28:23 EST
libtool-2.4.6-8.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b31cf970d9
Comment 4 Fedora Update System 2016-01-19 22:54:34 EST
libtool-2.4.6-8.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b31cf970d9
Comment 5 Fedora Update System 2016-01-20 16:51:05 EST
libtool-2.4.6-8.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.